/**
 * @file Dezibot.cpp
 * @author Anton Jacker, Hans Haupt, Saskia Duebener
 * @brief 
 * @version 0.1
 * @date 2023-11-26
 * 
 * @copyright Copyright (c) 2023
 * 
 */


#include "Dezibot.h"

Dezibot::Dezibot():multiColorLight(),motionDetection(),display(128, 64, &Wire, -1){

};
void Dezibot::begin(void) {
    motion.begin();
    multiColorLight.begin();
    motionDetection.begin();
    Wire.begin(1,2);
    display.begin(SSD1306_SWITCHCAPVCC,0x3C);
    display.clearDisplay();
    display.display();
};
